#include "uart.h"
#include "mbox.h"

int kernelmain(void) {
  init_uart();
  mbox[0] = 8 * 4;
  mbox[1] = MBOX_REQUEST;
  mbox[2] = MBOX_TAG_GETVCOREMEM;
  mbox[3] = 8;
  mbox[4] = 0;
  mbox[5] = 0;
  mbox[6] = 0;
  mbox[7] = MBOX_TAG_LAST;

  if(mbox_call(MBOX_CH_PROP, mbox)){
    puts("videocore start at 0x");
    printhex(mbox[5]);
    puts(" - ");
    int mem = mbox[6]/1024/1024;
    printdec(mem);
    puts(" Mo\n");
  }else{
    puts("Error getting videocore mem\n");
  }

  puts("Hello world\n");
  return 0;
}
